%define shortname       wmaker
%define wmaker_vendor   crm
%define snapshot        a2de2c34eea348aaff5f39434ce297a322672140
%define _pixdir         %{_datadir}/pixmaps
%define gnustepdir      %{_datadir}/GNUstep
%define wmsysdir        %{_sysconfdir}/X11/WindowMaker
%define wmdatdir        %{_datadir}/WindowMaker
%define wmdefdir        %{wmdatdir}/Defaults

%define major           3
%define libwraster      %mklibname wraster %{major}
%define libwrasterdev   %mklibname wraster -d

%define wgsmajor        2
%define libwgsname      %mklibname wings %{wgsmajor}
%define libwgsnamedev   %mklibname wings -d

%define wmkmajor        1
%define libwmkname      %mklibname wmaker %{wmkmajor}
%define libwmknamedev   %mklibname wmaker -d

%define subrel          2

Name:           windowmaker
Version:        0.95.4
Release:        %mkrel 5
Summary:        A window manager for the X Window System
License:        GPLv2+
Group:          Graphical desktop/WindowMaker

URL:            http://windowmaker.org/
Source0:        http://repo.or.cz/w/%{shortname}-%{wmaker_vendor}.git/snapshot/%{snapshot}.tar.gz
Source1:        addxdgsupport.bash
Source2:        startwindowmaker
Source3:        03WindowMaker
Source4:        autostart.sh.mga
Source5:        WMState.mga
Source6:        WMWindowAttributes.mga
Source7:        WindowMaker.mga

# Fixes
Patch0:         windowmaker-0.95.4-mga-fix-wmlib-linking.patch
# (cjw) try to implement _NET_WM_MOVERESIZE events, required by gtk+3 (though that appears to be a bug)
Patch1:         wmaker-0.94.0-net_wm_moveresize.patch

# Reconfiguration
Patch100:       %{name}-0.95.4-mga-use-xdg-menu-extension.patch


Requires:       desktop-common-data
Requires:       xdg-compliance-menu
Requires:       task-x11

BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  libhermes-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  libungif-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  mawk
BuildRequires:  libPropList-devel
BuildRequires:  pkgconfig(xmu)

Requires:       default-windowmaker-desktop
Suggests:       mageia-windowmaker-desktop

%description
Window Maker is a X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME. Window Maker allows users to switch themes on the fly, to place favorite
applications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.


%files -f WindowMaker.lang
%doc AUTHORS BUGFORM BUGS ChangeLog COPYING.WTFPL FAQ FAQ.I18N NEWS README* TODO
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/03WindowMaker
%dir %{gnustepdir}
%{gnustepdir}/Applications/WPrefs.app
%{_mandir}/man[18]/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(sk) %{_mandir}/sk/man1/*
%dir %{wmdatdir}
%{_datadir}/WindowMaker/README*
%{_datadir}/WindowMaker/*menu*
%{_datadir}/WindowMaker/exitscript.sh
%{_datadir}/WindowMaker/wmmacros
%{_datadir}/WindowMaker/Backgrounds
%{_datadir}/WindowMaker/IconSets
%{_datadir}/WindowMaker/Icons
%{_datadir}/WindowMaker/Pixmaps
%{_datadir}/WindowMaker/Styles
%{_datadir}/WindowMaker/Themes
%{_datadir}/WINGs/

# --------------------------------------------

%package -n %{libwraster}
Summary:        Window Maker Raster Graphics Library
Group:          Graphical desktop/WindowMaker
Conflicts:      %{_lib}wraster < 0.95
Provides:       %{_lib}wraster2 = %{version}-%{release}
Obsoletes:      %{_lib}wraster2 < 0.95

%description -n %{libwraster}
Also known as libwraster, it is WindowMaker's core graphics and image
processing system. libwraster is an optimized, fast, lightweight image library.
It takes advantage of MMX optimizations (on systems that have support for it)
to accelerate rendering. You can load a picture from a file easily with
libwraster, and it has support for .gif, .jpg, .png, .xpm, .ppm, and .tiff at
the moment. Support for other image formats can be added in the future.


%files -n %{libwraster}
%{_libdir}/libwraster.so.%{major}
%{_libdir}/libwraster.so.%{major}.*

# --------------------------------------------

%package -n %{libwrasterdev}
Summary:        Window Maker Raster Graphics Library development files 
Group:          Development/C
Requires:       %{libwraster} = %{version}-%{release}
Provides:       libwraster-devel = %{version}-%{release}
Conflicts:      libwraster2-devel < 0.95

%description -n %{libwrasterdev}
This package allows building applications using the libwraster library.


%files -n %{libwrasterdev}
%{_includedir}/wraster.h
%{_libdir}/libwraster.so
%{_libdir}/pkgconfig/wrlib.pc

# --------------------------------------------

%package -n %{libwgsname}
Summary:        Libraries for Window Maker widgets
Group:          System/Libraries

%description -n %{libwgsname}
%{summary}.


%files -n %{libwgsname}
%{_libdir}/libWINGs.so.%{wgsmajor}
%{_libdir}/libWINGs.so.%{wgsmajor}.*
%{_libdir}/libWUtil.so.%{wgsmajor}
%{_libdir}/libWUtil.so.%{wgsmajor}.*

# --------------------------------------------

%package -n %{libwgsnamedev}
Summary:        Development files for the Window Maker widgets
Group:          Development/C
Requires:       %{libwgsname} = %{version}-%{release}
Provides:       libwings-devel = %{version}-%{release}

%description -n %{libwgsnamedev}
%{summary}.


%files -n %{libwgsnamedev}
%{_libdir}/libWINGs.so
%{_libdir}/libWUtil.so
%{_includedir}/WINGs
%{_libdir}/pkgconfig/WINGs.pc

# --------------------------------------------

%package -n %{libwmkname}
Summary:        Libraries for Window Maker programming interface
Group:          System/Libraries

%description -n %{libwmkname}
%{summary}.


%files -n %{libwmkname}
%{_libdir}/libWMaker.so.%{wmkmajor}
%{_libdir}/libWMaker.so.%{wmkmajor}.*

# --------------------------------------------

%package -n %{libwmknamedev}
Summary:        Development files for the Window Maker programming interface
Group:          Development/C
Requires:       %{libwmkname} = %{version}-%{release}
Requires:       %{libwrasterdev} = %{version}-%{release}
Requires:       %{libwgsnamedev} = %{version}-%{release}


%description -n %{libwmknamedev}
%{summary}.


%files -n %{libwmknamedev}
%{_includedir}/WMaker.h
%{_libdir}/libWMaker.so


#---------------------------------------------

%package -n default-%{name}-desktop
Summary:        Default Window Maker desktop
Group:          Graphical desktop/WindowMaker
Conflicts:      %{name} < 0.95.3-0.snapshot20120330.4
Requires:       windowmaker
BuildArch:      noarch

%description -n default-%{name}-desktop
Default config files for the Window Maker desktop.


%files -n default-%{name}-desktop
%dir %{wmsysdir}
%config(noreplace)%{wmsysdir}/WMGLOBAL
%config(noreplace)%{wmsysdir}/WMRootMenu
%config(noreplace)%{wmsysdir}/WMState
%config(noreplace)%{wmsysdir}/WMWindowAttributes
%config(noreplace)%{wmsysdir}/WindowMaker

# --------------------------------------------

%package -n %{_real_vendor}-%{name}-desktop
Summary:        %{_vendor} Window Maker desktop
Group:          Graphical desktop/WindowMaker
Conflicts:      %{name} < 0.95.3-0.snapshot20120330.4
Requires:       windowmaker
Requires:       windowmaker-theme-mageia
Requires:       wmcalclock
Requires:       wmudmount
Requires:       wmsystemtray
Requires:       pulseaudio-utils
##Requires:       gvolwheel
Requires:       drakx-net-applet
Requires:       polkit-gnome
BuildArch:      noarch

%description -n %{_real_vendor}-%{name}-desktop
%{_vendor} enhanced config files for the Window Maker desktop.


%files -n %{_real_vendor}-%{name}-desktop
%dir %{wmdefdir}
%{wmdatdir}/autostart.sh
%{wmdefdir}/WMState
%{wmdefdir}/WMWindowAttributes
%{wmdefdir}/WindowMaker

# --------------------------------------------

%prep
%setup -q -n %{shortname}-%{wmaker_vendor}
%patch0 -p0
%patch1 -p1 -b .netwm-moveresize
%patch100 -p0
%__cp %{SOURCE1} WindowMaker/addxdgsupport.bash


%build
#xdg support in menu
pushd WindowMaker
./addxdgsupport.bash          
popd #WindowMaker

# protect the WPrefs.app location for unclean build envs with gnustep-make installed
unset GNUSTEP_LOCAL_ROOT

LINGUAS=`(cd po ; echo *.po | sed 's/.po//g')`
export LINGUAS
autoreconf -fi
%configure2_5x --prefix=%_prefix \
    --enable-static=no \
    --sysconfdir=%{_sysconfdir}/X11 \
    --with-nlsdir=%{_datadir}/locale \
    --with-pixmapdir=%{_pixdir} \
    --with-gnustepdir=%{gnustepdir} \
    --enable-xinerama \
    --enable-usermenu \
    --disable-xrandr \
    --with-pic \
    --with-x

%make

%install
%makeinstall_std


%__chmod 755 %{buildroot}%{_datadir}/WindowMaker/exitscript.sh

install -D -m 755 %{SOURCE2} %{buildroot}%{_bindir}/startwindowmaker
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/X11/wmsession.d/03WindowMaker

%find_lang WPrefs
%find_lang WindowMaker
%find_lang WINGs
%find_lang wmgenmenu
cat WPrefs.lang >> WindowMaker.lang
cat WINGs.lang >> WindowMaker.lang
cat wmgenmenu.lang >> WindowMaker.lang

find %{buildroot}%{_libdir} -name *.la -delete

# install mageia-windowmaker-desktop files

install -D -m 755 %{SOURCE4} %{buildroot}%{wmdatdir}/autostart.sh
install -D -m 644 %{SOURCE5} %{buildroot}%{wmdefdir}/WMState
install -D -m 644 %{SOURCE6} %{buildroot}%{wmdefdir}/WMWindowAttributes
install -D -m 644 %{SOURCE7} %{buildroot}%{wmdefdir}/WindowMaker


%changelog
* Wed Aug 28 2013 eatdirt <eatdirt> 0.95.4-5.2.mga3
+ Revision: 472496
- Fix missing icon, add requires to net_applet (#10585)
- Config files modified to fix #10585

* Fri Feb 08 2013 kamil <kamil> 0.95.4-5.mga3
+ Revision: 397024
- stop requiring gcc-cpp (mga#9000 - 'windowmaker no longer needs cpp' as it has now a built-in menu parser - thanks Zoltan Balton for reporting it)

* Mon Jan 14 2013 umeabot <umeabot> 0.95.4-4.mga3
+ Revision: 385700
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 kamil <kamil> 0.95.4-3.mga3
+ Revision: 344563
- fix annoying y* files in ~

* Sat Jan 05 2013 kamil <kamil> 0.95.4-2.mga3
+ Revision: 339108
- mark *-windowmaker-desktop as noarch
- use generic macros %%{name}
- rediff mga-Mageia-preconfigured-desktop.patch (as P101) and apply
- rediff P101: remove util/wmaker.inst.in part (excluded previously as P100)
- add old original patch P101: windowmaker-0.95.2-mga-Mageia-preconfigured-desktop.patch
- move mageia-windowmaker-desktop and default-windowmaker-desktop to this core package

* Sat Jan 05 2013 kamil <kamil> 0.95.4-1.mga3
+ Revision: 338883
- reorder patches
- remove P3 (not needed anymore - partly excluded and separated as P100)
- add P100: mga-use-xdg-menu-extension.patch
- fix %%files
- remove P0
- add P1: windowmaker-0.95.4-mga-fix-wmlib-linking.patch
- drop P1 (mga-fix-build-with-automake-1.13.patch) - merged upstream
- new version 0.95.4

* Thu Jan 03 2013 kamil <kamil> 0.95.3-2.mga3
+ Revision: 337990
- add P1: mga-fix-build-with-automake-1.13.patch

* Sun Jun 24 2012 kamil <kamil> 0.95.3-1.mga3
+ Revision: 262969
- stop fixing misspelling in menu.fr (it was mga#4022), fixed upstream
- update snapshot version (it points the final release)
- disable xrandr feature (it's unstable)
- new stable version 0.95.3

* Thu Apr 19 2012 kamil <kamil> 0.95.3-0.snapshot20120330.6.mga2
+ Revision: 231864
- fix an incorrect spelling in menu.fr (mga#4022)

* Fri Apr 13 2012 kamil <kamil> 0.95.3-0.snapshot20120330.5.mga2
+ Revision: 230725
- drop requirement on themes in this package and move them to mageia-windowmaker-desktop

* Sun Apr 01 2012 kamil <kamil> 0.95.3-0.snapshot20120330.4.mga2
+ Revision: 227656
- exclude desktop configuration from this package and ship it as a stand-alone package

* Fri Mar 30 2012 kamil <kamil> 0.95.3-0.snapshot20120330.3.mga2
+ Revision: 227584
- add a missing suggestion for gvolwheel

* Fri Mar 30 2012 kamil <kamil> 0.95.3-0.snapshot20120330.2.mga2
+ Revision: 227575
- rediff Mageia-preconfigured-desktop.patch to execute polkit-gnome-authentication-agent-1 in autostart.sh

* Fri Mar 30 2012 kamil <kamil> 0.95.3-0.snapshot20120330.1.mga2
+ Revision: 227561
- update to the newest snapshot
- disable rarely used build of reincluded wmlib into the sources (linkage problems)

* Sun Feb 26 2012 kamil <kamil> 0.95.3-0.snapshot20120223.2.mga2
+ Revision: 215122
- add mgaapplet (mgaonline) to the autostart script
- rename P0 to Mageia-preconfigured-desktop.patch
- add new suggestions and use the software against the Mageia default desktop:
  o GVolWheel (Volume Applet in the system tray)
  o pulseaudio-utils (to wrap GVolWheel and use it agaist PulseAudio)
  o wmsystemtray (System Tray)
  o wmudmount (Mounter using Gnome libraries)

* Fri Feb 24 2012 kamil <kamil> 0.95.3-0.snapshot20120223.1.mga2
+ Revision: 213661
- drop all sources except S0
- stop installing extra Window Maker icons
- fix patches
- drop Source8 WindowMaker-startwindowmaker and merge cleaned script into .spec
- make networkmanager-applet and drakconf suggested
- new version 0.95.3 (2012-02-23 snapshot)
- drop P1, P2, P3 - merged upstream
- stop making non-western users happy by changing fonts (no more need for this)
- rediff P3, add drakconf to the default configuration and nm-applet to autostart

* Sun Feb 19 2012 kamil <kamil> 0.95.2-12.mga2
+ Revision: 210633
- drop old WindowMaker-Galaxy.style.bz2 file and include it renamed (new name is Mageia.style) to windowmaker-themes
- edit startwindowmaker and load Mageia.style on the first start by default
- stop using %%config(noreplace) for /etc/* files for this package, these files needs to be rewritten and not configured by user

* Sat Feb 18 2012 kamil <kamil> 0.95.2-11.mga2
+ Revision: 210496
- drop old WindowMaker-data with pixmaps, it's not really needed (Fedora, Debian don't include it)

* Sat Feb 18 2012 kamil <kamil> 0.95.2-10.mga2
+ Revision: 210200
- switch from old Mdk/Mdv/Mga WMWindowAttributes to the upstream one

* Sat Feb 18 2012 kamil <kamil> 0.95.2-9.mga2
+ Revision: 210195
- drop unused WindowMaker-Terminal

* Sat Feb 18 2012 kamil <kamil> 0.95.2-8.mga2
+ Revision: 210190
- stop using old Mageia (from Mandrake/Mandriva times) WMState
- use upstream WMState with some of the old behaviour thanks to P3 patch-WMState-to-use-old-Mageia-configuration.patch

* Sat Feb 18 2012 kamil <kamil> 0.95.2-7.mga2
+ Revision: 210154
- drop Mageia WMGLOBAL and use upstream one (they are nearly the same)

* Sat Feb 18 2012 kamil <kamil> 0.95.2-6.mga2
+ Revision: 210147
- use upstream /etc/X11/WindowMaker/WindowMaker configuration

* Fri Feb 17 2012 kamil <kamil> 0.95.2-5.mga2
+ Revision: 209912
- include P2 stop-using-old-X11R6-directory.patch switch from /usr/X11R6 to /usr

* Fri Feb 17 2012 kamil <kamil> 0.95.2-4.mga2
+ Revision: 209901
- include fix-paths-in- P1 fix-paths-in-german-plmenu.patch to fix hardcoded '/home/mawa'

* Fri Feb 17 2012 kamil <kamil> 0.95.2-3.mga2
+ Revision: 209878
- include P0 mga-install-missing-man-pages.patch to install all missing and forgotten man pages

* Thu Feb 16 2012 kamil <kamil> 0.95.2-2.mga2
+ Revision: 209858
- drop WindowMaker-0.80.1-man-pages.tar.bz2 it's merged upstream (in doc/)

* Wed Feb 15 2012 kamil <kamil> 0.95.2-1.mga2
+ Revision: 209167
- new version 0.95.2
- replace '%%rename' with 'Obsoletes'

* Sat Feb 11 2012 kamil <kamil> 0.95.1-1.mga2
+ Revision: 207137
- new version 0.95.1

* Sat Jan 14 2012 kamil <kamil> 0.95.0-3.mga2
+ Revision: 195883
- fix plmenu.de
- fix LINGUAS and change it to determine languages dynamically
- enable xrandr in configure

* Fri Jan 13 2012 kamil <kamil> 0.95.0-2.mga2
+ Revision: 195469
- drop wmCalClock which was built-in and change it into an external dependency

* Thu Jan 12 2012 kamil <kamil> 0.95.0-1.mga2
+ Revision: 195432
- drop fix-WPrefs-path-in-menus.patch and implement it univerally in a script in .spec
- fix installation text in WindowMaker-wmaker.inst
- fix preparation of menu.pl in .spec script
- update VERSION to 0.95.0 in WindowMaker-wmaker.inst
- replace Mandriva with Mageia in WindowMaker-menumethod
- fix Obsoletes&Provides and use %%rename macro
- drop applications-menu.patch
- add script in .spec to fix universally all menu (no plmenu) files for all languages
- remove %%doc before man-pages
- remove NET_WM_NAME.patch, dropped in Debian (Debian maintainer is developing windowmaker)

* Thu Jan 12 2012 kamil <kamil> 0.95.0-0.mga2
+ Revision: 195085
- new version
- package name changed from WindowMaker to windowmaker
- spec cleaning

* Sun Sep 11 2011 fwang <fwang> 0.94.0-2.mga2
+ Revision: 142394
- drop empty section
- rebuild for new libpng

* Sat Jul 09 2011 cjw <cjw> 0.94.0-1.mga2
+ Revision: 120985
- add BuildRequires: libxmu-devel
- update to crm windowmaker 0.94.0+ git snapshot
- patch22: accept _NET_WM_MOVERESIZE events (without actually doing anything)
  to workaround apparently broken gtk+3 behavior
- drop patches 10, 11, 12, 14, 15, 16, 17, 18, 19, 20 - fixed upstream
- drop static library packages
- drop libtool libraries
- rename libWindowMaker to libwings

* Thu Jun 30 2011 cjw <cjw> 0.92.0-28.mga2
+ Revision: 116991
- generate applications menu in post if it doesn't exist yet

* Thu Jun 30 2011 cjw <cjw> 0.92.0-27.mga2
+ Revision: 116229
- add empty user.menu to fix applications submenu

  + ahmad <ahmad>
    - revert make_session commit, this is supposed to be handled by filetriggers
      (from Anssi)
    - add patch to fix WPrefs path in the menus
    - %%make_session is evaluated to %%nil, use %%make_dm_session instead

* Wed Feb 23 2011 ahmad <ahmad> 0.92.0-26.mga1
+ Revision: 57488
- drop old/unneeded scriptlets
- require mageia-theme
- imported package WindowMaker

